Skip to content

Read one webhook target

GET
/v1/webhook-targets/{target_id}
curl --request GET \
--url https://api.vocapable.com/v1/webhook-targets/example \
--header 'Authorization: Bearer <token>'
target_id
required
Target Id
string

Successful Response

Media typeapplication/json
WebhookTargetSummary

A target as every read renders it - structurally incapable of leaking a secret.

object
id
required
Id
string
webhook_id
required
Webhook Id
string
description
required
Description
string
parameters
required
Parameters
object
key
additional properties
any
side_effect
required
Side Effect
string
timeout_seconds
required
Timeout Seconds
number
max_invocations_per_call
required
Max Invocations Per Call
integer
url
required
Url
string
status
required
Status
string
previous_secret_expires_at
required
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Examplegenerated
{
"id": "example",
"webhook_id": "example",
"description": "example",
"parameters": {},
"side_effect": "example",
"timeout_seconds": 1,
"max_invocations_per_call": 1,
"url": "example",
"status": "example",
"previous_secret_expires_at": "2026-04-15T12:00:00Z",
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}